Skip to content

Peringkat Agensi - Peringkat Penjualan

Pendahuluan

Dapatkan data peringkat penjualan agensi mitra TikTok, mendukung fitur berikut:

  • Atur parameter filter
  • Sesuaikan pengurutan hasil

Endpoint

bash
    POST /agency/v1/rank/salesRank

Isi Respons

BidangTipeWajibDeskripsi
filterobjectTidakParameter filter
orderbyobjectTidakParameter pengurutan
pageintegerTidakNomor halaman, nilai default: 1
pagesizeintegerTidakCatatan per halaman, default: 10

opsi filter

BidangTipeWajibDeskripsi
regionstringTidakWilayah
date_infoobjectTidakInformasi tanggal

rentang region: ['US','GB','MX','ES','DE','IT','FR','PT','NL','BE','AT','PL','ID','VN','MY','TH','PH','BR','JP','SG']

opsi orderby

BidangWajibDeskripsi
usd_gmvTidakGMV (menurun)

Contoh Permintaan

bash
curl 'https://openapi.fastmoss.com/agency/v1/rank/salesRank' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "date_info": {
            "type": "week",
            "value": "2026-05"
        }
    },
    "orderby": [
      {
        "field": "usd_gmv",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Isi Respons

data.total

Total hasil

data.list

BidangTipeDeskripsi
idstringID Agensi
secidstringsecid agensi
regionintegerWilayah
currencyintegerMata Uang
gmvintegerGMV
usd_gmvintegerGMV USD
gmv_inc_ratestringTingkat Pertumbuhan GMV
commission_rateintegerTingkat Komisi
hot_categoryarray<object>Kategori Populer
total_affiliate_countintegerTotal kreator terafiliasi
inc_affiliate_countintegerKreator terafiliasi baru
sale_affiliate_countintegerKreator penjualan aktif
product_countintegerTotal produk
inc_product_countintegerProduk baru
sale_product_countintegerProduk penjualan aktif
agencyobjectInformasi agensi

data.list.agency

BidangTipeDeskripsi
idstringID Agensi
secidstringsecid agensi
namestringNama Agensi
regionstringWilayah Agensi
introductionstringPengantar Agensi
logo_coverstringLogo Agensi

Contoh Respons

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "id": "8649512756612795142",
        "secid": "7c3d85e96c36244a5f5184a5cfbb98f6",
        "region": "GB",
        "currency": "GBP",
        "gmv": 209066.76,
        "usd_gmv": 259242.78,
        "gmv_inc_rate": "-24.91%",
        "commission_rate": 990,
        "hot_category": [
          { "category_id": 14, "name": "Beauty & Personal Care" },
          { "category_id": 2, "name": "Womenswear & Underwear" },
          { "category_id": 3, "name": "Menswear & Underwear" }
        ],
        "total_affiliate_count": 301,
        "inc_affiliate_count": 67,
        "sale_affiliate_count": 138,
        "product_count": 63610,
        "inc_product_count": 656,
        "sale_product_count": 22035,
        "agency": {
          "id": "8649512756612795142",
          "secid": "7c3d85e96c36244a5f5184a5cfbb98f6",
          "name": "VibraVerse",
          "region": "GB",
          "introduction": "",
          "logo_cover": "https://s.500fd.com/tt_partner/wsos65b11f86df324b05"
        }
      }
    ],
    "total": 500,
    "date_type": "week",
    "date_value": "2026-03"
  },
  "msg": "success"
}